Package org.apache.solr.client.solrj.request

# Interface RequestWriter.ContentWriter

All Known Implementing Classes:
  `JacksonContentWriter`, `RequestWriter.StringPayloadContentWriter`

Enclosing class:
  `RequestWriter`

public static interface RequestWriter.ContentWriter

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentType()`
`void`
`write(OutputStream os)`

## Method Details

### write

void write(OutputStream os) throws IOException

Throws:
  `IOException`

### getContentType

String getContentType()